Index: uspace/srv/hw/char/i8042/i8042.h
===================================================================
--- uspace/srv/hw/char/i8042/i8042.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hw/char/i8042/i8042.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -52,5 +52,5 @@
 /** Softstate structure, one for each serial port (primary and aux). */
 typedef struct {
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	int client_phone;
 } i8042_port_t;
Index: uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c
===================================================================
--- uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -92,5 +92,5 @@
 		return -1;
 
-	rc = devmap_device_register(NAMESPACE "/" NAME, &uart->dev_handle);
+	rc = devmap_device_register(NAMESPACE "/" NAME, &uart->devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
Index: uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.h
===================================================================
--- uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -88,5 +88,5 @@
 
 	/** Device handle */
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 } s3c24xx_uart_t;
 
Index: uspace/srv/hw/netif/dp8390/dp8390.c
===================================================================
--- uspace/srv/hw/netif/dp8390/dp8390.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hw/netif/dp8390/dp8390.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -62,6 +62,6 @@
  *  @param[in] dep The network interface structure.
  *  @param[in] packet The outgoing packet.
- *  @returns EOK on success.
- *  @returns EINVAL 
+ *  @return EOK on success.
+ *  @return EINVAL 
  */
 int queue_packet(dpeth_t * dep, packet_t packet);
Index: uspace/srv/hw/netif/dp8390/dp8390_module.c
===================================================================
--- uspace/srv/hw/netif/dp8390/dp8390_module.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hw/netif/dp8390/dp8390_module.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -157,5 +157,6 @@
 }
 
-int netif_get_device_stats(device_id_t device_id, device_stats_ref stats){
+int netif_get_device_stats(device_id_t device_id, device_stats_t *stats)
+{
 	netif_device_t * device;
 	eth_stat_t * de_stat;
@@ -185,5 +186,5 @@
 }
 
-int netif_get_addr_message(device_id_t device_id, measured_string_ref address){
+int netif_get_addr_message(device_id_t device_id, measured_string_t *address){
 	netif_device_t * device;
 	int rc;
Index: uspace/srv/net/il/arp/arp.c
===================================================================
--- uspace/srv/net/il/arp/arp.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/il/arp/arp.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -83,8 +83,8 @@
  * @param[in] device	The device specific data.
  */
-static void arp_clear_device(arp_device_ref device)
+static void arp_clear_device(arp_device_t *device)
 {
 	int count;
-	arp_proto_ref proto;
+	arp_proto_t *proto;
 
 	for (count = arp_protos_count(&device->protos) - 1; count >= 0;
@@ -105,5 +105,5 @@
 {
 	int count;
-	arp_device_ref device;
+	arp_device_t *device;
 
 	fibril_rwlock_write_lock(&arp_globals.lock);
@@ -126,8 +126,8 @@
 
 static int arp_clear_address_req(int arp_phone, device_id_t device_id,
-    services_t protocol, measured_string_ref address)
-{
-	arp_device_ref device;
-	arp_proto_ref proto;
+    services_t protocol, measured_string_t *address)
+{
+	arp_device_t *device;
+	arp_proto_t *proto;
 
 	fibril_rwlock_write_lock(&arp_globals.lock);
@@ -150,5 +150,5 @@
 static int arp_clear_device_req(int arp_phone, device_id_t device_id)
 {
-	arp_device_ref device;
+	arp_device_t *device;
 
 	fibril_rwlock_write_lock(&arp_globals.lock);
@@ -171,13 +171,13 @@
  * @param[in] service	The protocol module service.
  * @param[in] address	The actual protocol device address.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
- */
-static int arp_proto_create(arp_proto_ref *proto, services_t service,
-    measured_string_ref address)
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
+ */
+static int arp_proto_create(arp_proto_t **proto, services_t service,
+    measured_string_t *address)
 {
 	int rc;
 
-	*proto = (arp_proto_ref) malloc(sizeof(arp_proto_t));
+	*proto = (arp_proto_t *) malloc(sizeof(arp_proto_t));
 	if (!*proto)
 		return ENOMEM;
@@ -205,16 +205,16 @@
  * @param[in] protocol	The protocol service.
  * @param[in] address	The actual device protocol address.
- * @returns		EOK on success.
- * @returns		EEXIST if another device with the same device identifier
+ * @return		EOK on success.
+ * @return		EEXIST if another device with the same device identifier
  *			and different driver service exists.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the
  *			measured_strings_return() function.
  */
 static int arp_device_message(device_id_t device_id, services_t service,
-    services_t protocol, measured_string_ref address)
-{
-	arp_device_ref device;
-	arp_proto_ref proto;
+    services_t protocol, measured_string_t *address)
+{
+	arp_device_t *device;
+	arp_proto_t *proto;
 	hw_type_t hardware;
 	int index;
@@ -260,5 +260,5 @@
 		
 		/* Create a new device */
-		device = (arp_device_ref) malloc(sizeof(arp_device_t));
+		device = (arp_device_t *) malloc(sizeof(arp_device_t));
 		if (!device) {
 			fibril_rwlock_write_unlock(&arp_globals.lock);
@@ -356,6 +356,6 @@
  *  @param[in] client_connection The client connection processing function.
  *			The module skeleton propagates its own one.
- *  @returns		EOK on success.
- *  @returns		ENOMEM if there is not enough memory left.
+ *  @return		EOK on success.
+ *  @return		ENOMEM if there is not enough memory left.
  */
 int arp_initialize(async_client_conn_t client_connection)
@@ -376,10 +376,10 @@
  * @param[in] device_id	The device identifier.
  * @param[in] mtu	The new mtu value.
- * @returns		ENOENT if device is not found.
- * @returns		EOK on success.
+ * @return		ENOENT if device is not found.
+ * @return		EOK on success.
  */
 static int arp_mtu_changed_message(device_id_t device_id, size_t mtu)
 {
-	arp_device_ref device;
+	arp_device_t *device;
 
 	fibril_rwlock_write_lock(&arp_globals.lock);
@@ -404,22 +404,22 @@
  * @param[in] device_id	The source device identifier.
  * @param[in,out] packet The received packet.
- * @returns		EOK on success and the packet is no longer needed.
- * @returns		One on success and the packet has been reused.
- * @returns		EINVAL if the packet is too small to carry an ARP
+ * @return		EOK on success and the packet is no longer needed.
+ * @return		One on success and the packet has been reused.
+ * @return		EINVAL if the packet is too small to carry an ARP
  *			packet.
- * @returns		EINVAL if the received address lengths differs from
+ * @return		EINVAL if the received address lengths differs from
  *			the registered values.
- * @returns		ENOENT if the device is not found in the cache.
- * @returns		ENOENT if the protocol for the device is not found in
+ * @return		ENOENT if the device is not found in the cache.
+ * @return		ENOENT if the protocol for the device is not found in
  *			the cache.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		ENOMEM if there is not enough memory left.
  */
 static int arp_receive_message(device_id_t device_id, packet_t packet)
 {
 	size_t length;
-	arp_header_ref header;
-	arp_device_ref device;
-	arp_proto_ref proto;
-	measured_string_ref hw_source;
+	arp_header_t *header;
+	arp_device_t *device;
+	arp_proto_t *proto;
+	measured_string_t *hw_source;
 	uint8_t *src_hw;
 	uint8_t *src_proto;
@@ -436,5 +436,5 @@
 		return ENOENT;
 
-	header = (arp_header_ref) packet_get_data(packet);
+	header = (arp_header_t *) packet_get_data(packet);
 	if ((ntohs(header->hardware) != device->hardware) ||
 	    (length < sizeof(arp_header_t) + header->hardware_length * 2U +
@@ -516,21 +516,21 @@
  * @param[in] protocol	The protocol service.
  * @param[in] target	The target protocol address.
- * @returns		The hardware address of the target.
- * @returns		NULL if the target parameter is NULL.
- * @returns		NULL if the device is not found.
- * @returns		NULL if the device packet is too small to send a
+ * @return		The hardware address of the target.
+ * @return		NULL if the target parameter is NULL.
+ * @return		NULL if the device is not found.
+ * @return		NULL if the device packet is too small to send a
  *			request.
- * @returns		NULL if the hardware address is not found in the cache.
- */
-static measured_string_ref
+ * @return		NULL if the hardware address is not found in the cache.
+ */
+static measured_string_t *
 arp_translate_message(device_id_t device_id, services_t protocol,
-    measured_string_ref target)
-{
-	arp_device_ref device;
-	arp_proto_ref proto;
-	measured_string_ref addr;
+    measured_string_t *target)
+{
+	arp_device_t *device;
+	arp_proto_t *proto;
+	measured_string_t *addr;
 	size_t length;
 	packet_t packet;
-	arp_header_ref header;
+	arp_header_t *header;
 
 	if (!target)
@@ -561,5 +561,5 @@
 		return NULL;
 
-	header = (arp_header_ref) packet_suffix(packet, length);
+	header = (arp_header_t *) packet_suffix(packet, length);
 	if (!header) {
 		pq_release_remote(arp_globals.net_phone, packet_get_id(packet));
@@ -602,6 +602,6 @@
  * @param[out] answer_count The last parameter for the actual answer in the
  *			answer parameter.
- * @returns		EOK on success.
- * @returns		ENOTSUP if the message is not known.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
  *
  * @see arp_interface.h
@@ -612,6 +612,6 @@
     ipc_call_t *answer, int *answer_count)
 {
-	measured_string_ref address;
-	measured_string_ref translation;
+	measured_string_t *address;
+	measured_string_t *translation;
 	char *data;
 	packet_t packet;
@@ -747,6 +747,6 @@
 /** Starts the module.
  *
- * @returns		EOK on success.
- * @returns		Other error codes as defined for each specific module
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
  *			start function.
  */
Index: uspace/srv/net/il/arp/arp.h
===================================================================
--- uspace/srv/net/il/arp/arp.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/il/arp/arp.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -55,9 +55,4 @@
 typedef struct arp_device arp_device_t;
 
-/** Type definition of the ARP device specific data pointer.
- * @see arp_device
- */
-typedef arp_device_t *arp_device_ref;
-
 /** Type definition of the ARP global data.
  * @see arp_globals
@@ -69,9 +64,4 @@
  */
 typedef struct arp_proto arp_proto_t;
-
-/** Type definition of the ARP protocol specific data pointer.
- * @see arp_proto
- */
-typedef arp_proto_t *arp_proto_ref;
 
 /** ARP address map.
@@ -99,9 +89,9 @@
 struct arp_device {
 	/** Actual device hardware address. */
-	measured_string_ref addr;
+	measured_string_t * addr;
 	/** Actual device hardware address data. */
 	char *addr_data;
 	/** Broadcast device hardware address. */
-	measured_string_ref broadcast_addr;
+	measured_string_t * broadcast_addr;
 	/** Broadcast device hardware address data. */
 	char *broadcast_data;
@@ -145,5 +135,5 @@
 struct arp_proto {
 	/** Actual device protocol address. */
-	measured_string_ref addr;
+	measured_string_t *addr;
 	/** Actual device protocol address data. */
 	char *addr_data;
Index: uspace/srv/net/il/arp/arp_header.h
===================================================================
--- uspace/srv/net/il/arp/arp_header.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/il/arp/arp_header.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -46,9 +46,4 @@
 typedef struct arp_header arp_header_t;
 
-/** Type definition of an ARP protocol header pointer.
- * @see arp_header
- */
-typedef arp_header_t *arp_header_ref;
-
 /** ARP protocol header. */
 struct arp_header {
